let
	removeNewlines = (import ../lib/remove-newlines.nix);
in {
	resources.sshKeyPairs.ssh-key = {};

	osmium = { config, pkgs, ... }: {
		deployment.targetEnv = "digitalOcean";
		deployment.digitalOcean.region = "ams2";
		deployment.digitalOcean.size = "512mb";
		#deployment.digitalOcean.authToken = removeNewlines (builtins.readFile ../credentials/digitalocean-auth-token);
	} // (import ../lib/root-ssh.nix) // ((import ../lib/tools.nix) pkgs);
}
